Subject: [TOOLS-DEVELOPMENT] Re: OSL Next Steps

From: [email-masked]
Date: Fri, 27 Jul 2007 18:25:42 +0000

Jorge's response to OSL questions
Sent via BlackBerry by AT&T

-----Original Message-----
From: "Contreras, Jorge" <[email-masked]>

Date: Fri, 27 Jul 2007 13:46:49 
To:"Ray Pelletier" <[email-masked]>,"IETF Administrative Director" <[email-masked]>
Subject: RE: OSL Next Steps

a. How do both non  profit and for profit entities contribute to the 
same code base here?  Let's say the non profit initial writes the code 
and  contributes it under NP-OSL. Then someone from ATT makes some  
contributions to the code - do they put those out over normal OSL?   
Then the nonprofit incorporates them in and wants to distribute them  
under NP-OSL. It seems like this would not be allowed.  
  
JLC>  This is a good question, and it would be interesting to hear Larry's response.  My assumption is that non-profits would contribute under the NP OSL, while for-profits would contribute under the regular OSL.  I don't think there is anything wrong with this, though it may seem somewhat unusual at first. 
  
 b. Patent Question. Imagine that I have a patent on  openssl, and I have 
some software that links to openssl and I  release  that software under 
OSL, am I granting rights to my openssl  patent?  
  
JLC>  No.  The patent license is only made to the extent that a patent covers the software itself.  Other patents covering things that the software may link to or interact with are not licensed.

_______________________________________________
TOOLS-DEVELOPMENT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-development